%define upstream_name    ExtUtils-PkgConfig
%define upstream_version 1.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module for further extending extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig
BuildArch:  noarch

%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other perl extensions. This means
that a perl extension is treated like a shared library that provides
also a C and an XS interface besides the perl one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
#find -type d -name CVS | rm -fr
%{__perl} Makefile.PL INSTALLDIRS=vendor

%build
make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/ExtUtils/*.pm

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.160.0-4.mga8
+ Revision: 1528809
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 1.160.0-3.mga8
+ Revision: 1432632
- rebuild for perl 5.30

* Thu Sep 20 2018 umeabot <umeabot> 1.160.0-2.mga7
+ Revision: 1283651
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 1.160.0-1.mga7
+ Revision: 1128539
- update to 1.16

* Sun Jun 19 2016 pterjan <pterjan> 1.150.0-6.mga6
+ Revision: 1027226
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.150.0-5.mga6
+ Revision: 936258
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-4.mga5
+ Revision: 747863
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-3.mga5
+ Revision: 684690
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.150.0-2.mga4
+ Revision: 538385
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 1.150.0-1.mga4
+ Revision: 489501
- new release

* Sat May 25 2013 tv <tv> 1.140.0-1.mga4
+ Revision: 427321
- new release

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 367060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 tv <tv> 1.130.0-1.mga3
+ Revision: 251792
- new release

* Tue Jan 18 2011 jquelin <jquelin> 1.120.0-2.mga1
+ Revision: 23237
- cleaning spec file
- imported package perl-ExtUtils-PkgConfig

